PCP-XSOS(1)

NAME
pcp-xsos - report on xsos and used memory in the system

SYNOPSIS
pcp [pcp options] xsos [--all] [-dmnNopx] [-u units]

DESCRIPTION
pcp-xsos gives a summary report of a system using either a PCP archive or live metric values from that system.

It is designed to be fast and performs a single-sample only, similar to tools like ps(1). Thus, level of detail in reporting is traded off in favour of execution speed. pcp-xsos is designed as an initial performance triage tool that quickly informs an operator as to avenues of investigation that may prove more fruitful. At this time the focus is entirely on operating system metrics, however this is not a requirement and in time it may be extended to report on any performance domain with associated PCP metrics.

When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin pcp options become indirectly available, see PCPIntro(1) for their descriptions.

The default report with no command line options presented is the operating system overview.

OPTIONS
The available command line options are:

--all
    iteratively report each subsection, one after the other.

-o, --os
    display the default report with high level kernel information, including version, uptime, number of users, process states and aggregated processor utilisation.

-d, --disks
    Report storage information from the archive or live host, including the total capacity for each block device as well as available filesystem space for each mounted filesystem.

-m, --memory
    Detailed memory report, including percentage of total memory used for various operating system functions, swap use, and optionally hugepages and virtual machine balloon information.

-n, --netdev
    Statistics for each configured network interface, including packet and byte transfer rates (since boot), errors, drops, and so on. Additionally, socket statistics are also reported with this command line option, for raw, UDP and TCP (IPv4 and IPv6).

-N, --netstats
    Report aggregate network statistics such as various ICMP and TCP error and timeout counters.

-p, --ps
    Inspect running processes in a style similar to ps. These are grouped and filtered to show the most important processes in terms of resource use (CPU, memory) as well as processes in zombie or blocked states.

-u unit, --units=unit
    Change the byte display for various reports. Valid values for unit are "b" (bytes), "k" (kibibytes), "m" (mibibytes), "g" (gibibytes) or "t" (tebibytes).

-x, --nocolor
    Display reports without using colors to highlight various aspects of each subsystem.

-?, --help
    Display usage message and exit.

NOTES
pcp-xsos is inspired by the xsos utility, aims to be command line compatible with it where possible and also provide a consistent output style.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3) which provides pmgetopt(1) functionality used by pcp-xsos.

SEE ALSO
PCPIntro(1), pcp(1), ps(1), pmgetopt(1), pmGetOptions(3) and environ(7).